/*
 * generated by Xtext 2.12.0
 */
package fr.n7.ui;

import com.google.inject.Injector;
import fr.n7.pdl3.ui.internal.Pdl3Activator;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class PDL3ExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return Pdl3Activator.getInstance().getBundle();
	}
	
	@Override
	protected Injector getInjector() {
		return Pdl3Activator.getInstance().getInjector(Pdl3Activator.FR_N7_PDL3);
	}
	
}
